Bug 466726 - Package jakarta-taglibs-standard-1.1.1-4jpp_1rh.noarch.rpm is both in RHEL 4 and RHEL 5 composes
Package jakarta-taglibs-standard-1.1.1-4jpp_1rh.noarch.rpm is both in RHEL 4 ...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Release (Show other bugs)
520
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jan Pazdziora
wes hayutin
:
Depends On:
Blocks: 446877
  Show dependency treegraph
 
Reported: 2008-10-13 05:35 EDT by Jan Pazdziora
Modified: 2008-11-05 13:42 EST (History)
2 users (show)

See Also:
Fixed In Version: sat520
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-05 13:42:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Pazdziora 2008-10-13 05:35:17 EDT
Description of problem:

Package jakarta-taglibs-standard-1.1.1-4jpp_1rh.noarch.rpm is both in RHEL 4 and RHEL 5 composes. That is not good because we will need different signature keys for those different OSes.

Version-Release number of selected component (if applicable):

Satellite-5.2.0-RHEL4-re20081010.0
Satellite-5.2.0-RHEL5-re20081010.0

How reproducible:

Deterministic.

Steps to Reproduce:
1. $ ls -la /mnt/redhat/devel/candidate-trees/Satellite-5.2.0-RHEL4-re20081010.0/i386/i386/Satellite/jakarta-taglibs-standard-1.1.1-4jpp_1rh.noarch.rpm
-rw-r--r-- 3053 root root 306904 2005-08-04 20:53 /mnt/redhat/devel/candidate-trees/Satellite-5.2.0-RHEL4-re20081010.0/i386/i386/Satellite/jakarta-taglibs-standard-1.1.1-4jpp_1rh.noarch.rpm
$ ls -la /mnt/redhat/devel/candidate-trees/Satellite-5.2.0-RHEL5-re20081010.0/i386/i386/Satellite/jakarta-taglibs-standard-1.1.1-4jpp_1rh.noarch.rpm
-rw-r--r-- 3053 root root 306904 2005-08-04 20:53 /mnt/redhat/devel/candidate-trees/Satellite-5.2.0-RHEL5-re20081010.0/i386/i386/Satellite/jakarta-taglibs-standard-1.1.1-4jpp_1rh.noarch.rpm
  
Actual results:

The same file (same name and all).

Expected results:

The files should not be the same.

Additional info:
Comment 1 Jan Pazdziora 2008-10-13 05:46:42 EDT
On freshly installed Satellite 5.2.0 on RHEL 5.2, the jakarta-taglibs-standard-1.1.1-4jpp_1rh.noarch is not installed. The package from RHEL 5 channel is installed instead:

# rpm -q jakarta-taglibs-standard 
jakarta-taglibs-standard-1.1.1-7jpp.1.s390x

Therefore it is safe to remove this package from Satellite 5.2.0 RHEL 5 compose.
Comment 2 Jan Pazdziora 2008-10-13 11:52:04 EDT
Checking in comps-rhel5-rhnsat52.xml;
/cvs/devel/comps/comps-rhel5-rhnsat52.xml,v  <--  comps-rhel5-rhnsat52.xml
new revision: 1.28; previous revision: 1.27
done
Comment 3 Jan Pazdziora 2008-10-14 07:30:20 EDT
New composes Satellite-5.2.0-RHEL4-re20081014.1 and Satellite-5.2.0-RHEL5-re20081014.1 were made, moving ON_QA.
Comment 4 Preethi Thomas 2008-10-15 11:37:20 EDT
verified
Comment 5 wes hayutin 2008-10-23 11:47:54 EDT
this seems like this fails to me..

i386
 jakarta-taglibs-standard-1.1.1-4jpp_1rh.noarch.rpm  
s390
jakarta-taglibs-standard-1.1.1-4jpp_1rh.noarch.rpm  
s390x
jakarta-taglibs-standard-1.1.1-4jpp_1rh.noarch.rpm  
x86_64
jakarta-taglibs-standard-1.1.1-4jpp_1rh.noarch.rpm 
x86
jakarta-taglibs-standard-1.1.1-4jpp_1rh.noarch.rpm     


I looked at the files listed @http://barn.rhndev.redhat.com/redhat/devel/candidate-trees/
Comment 6 wes hayutin 2008-10-23 12:00:11 EDT
oops.. sorry..
rhel 4 exists. rhel 5 has been removed..
moving to release pending
Comment 7 Brandon Perkins 2008-11-05 13:42:38 EST
5.2.0 Satellite is now GA, bugs Closed for Current Release.

Note You need to log in before you can comment on or make changes to this bug.